"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function doubleDigit(v) {
    return `${v}`.length === 1 ? `0${v}` : `${v}`;
}
/**
 * Convert node Date to Pdf Date string
 * @param {Date} d - The Date to convert
 * @returns {string} - d (Date) in pdf string format
 */
function toPDFFormat(d) {
    const offset = d.getTimezoneOffset() / 60;
    let dateString = d.toISOString().replace(/-|T|\.|:/g, '').substr(0, 14);
    return `${dateString}-${doubleDigit(offset)}'00'`;
}
exports.toPDFFormat = toPDFFormat;
//# sourceMappingURL=date.js.map